Skip to main content
`Ctrl`+`K`

# MatSTRUMPACKGetCompRelTol

Get STRUMPACK https://portal.nersc.gov/project/sparse/strumpack/master relative tolerance for compression

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSTRUMPACKGetCompRelTol(Mat F, PetscReal *rtol)

Logically Collective

## Input Parameters

- F - the factored matrix obtained by calling `MatGetFactor()`

## Output Parameter

- rtol - relative compression tolerance

## See Also

`MATSOLVERSTRUMPACK`, Matrices, `Mat`, `MatGetFactor()`, `MatSTRUMPACKSetCompRelTol()`, `MatSTRUMPACKSetReordering()`, `MatSTRUMPACKSetColPerm()`

## Level

intermediate

## Location

src/mat/impls/aij/mpi/strumpack/strumpack.c

## Implementations

MatSTRUMPACKGetCompRelTol_STRUMPACK() in src/mat/impls/aij/mpi/strumpack/strumpack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages